/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.sample004;

import java.util.Date;

import jp.terasoluna.fw.file.annotation.FileFormat;
import jp.terasoluna.fw.file.annotation.OutputFileColumn;

/**
 * コード変換後出力用パラメータクラス。
 */
@FileFormat(overWriteFlg=true)
public class Sample004NyusyukkinData {

    /**
     * 取引ID
     */
    @OutputFileColumn(columnIndex = 0)
    private int id;
   
    /**
     * 入出金区分
     */
    @OutputFileColumn(columnIndex = 1)
    private String nyusyukkinkbn;
    
    /**
     * 取引区分
     */
    @OutputFileColumn(columnIndex = 2)
    private String torihikikbn;

    /**
     * 顧客コード
     */
    @OutputFileColumn(columnIndex = 3)
    private String kokyakucd;
    
    /**
     * 取引金額
     */
    @OutputFileColumn(columnIndex = 4)
    private int kingaku;
    
    /**
     * 取引日
     */
    @OutputFileColumn(columnIndex = 5, columnFormat="yyyy/MM/dd")
    private Date torihikibi;
    
    /**
     * 取引IDを返却する。
     * @return 取引ID
     */
    public int getId() {
        return id;
    }
    
    /**
     * 取引IDを設定する。
     * @param id 設定する取引ID
     */
    public void setId(int id) {
        this.id = id;
    }
    
    /**
     * 取引金額を返却する。
     * @return 取引金額
     */
    public int getKingaku() {
        return kingaku;
    }
    
    /**
     * 取引金額を設定する。
     * @param kingaku 設定する取引金額
     */
    public void setKingaku(int kingaku) {
        this.kingaku = kingaku;
    }
    
    /**
     * 顧客コードを返却する。
     * @return 顧客コード
     */
    public String getKokyakucd() {
        return kokyakucd;
    }
    
    /**
     * 顧客コードを設定する。
     * @param kokyakucd 設定する顧客コード
     */
    public void setKokyakucd(String kokyakucd) {
        this.kokyakucd = kokyakucd;
    }
    
    /**
     * 取引日を返却する。
     * @return 取引日
     */
    public Date getTorihikibi() {
        return torihikibi;
    }
    
    /**
     * 取引日を設定する。
     * @param torihikibi 設定する取引日
     */
    public void setTorihikibi(Date torihikibi) {
        this.torihikibi = torihikibi;
    }
    
    /**
     * 取引区分を返却する。
     * @return 取引区分
     */
    public String getTorihikikbn() {
        return torihikikbn;
    }
    
    /**
     * 取引区分を設定する。
     * @param torihikikbn 設定する取引区分
     */
    public void setTorihikikbn(String torihikikbn) {
        this.torihikikbn = torihikikbn;
    }
    
    /**
     * 入出金区分を返却する。
     * @return 入出金区分
     */
    public String getNyusyukkinkbn() {
        return nyusyukkinkbn;
    }
    
    /**
     * 入出金区分を設定する。
     * @param nyusyukkinkbn 設定する入出金区分
     */
    public void setNyusyukkinkbn(String nyusyukkinkbn) {
        this.nyusyukkinkbn = nyusyukkinkbn;
    }
}
